from flask import Flask
from .config import configure_app
from .views.index import IndexView
from .middlewares import db

def create_app(*args, **kwargs):
	app = Flask(__name__, *args, **kwargs)
	configure_app(app)

	db.wrap(app)

	app.add_url_rule("/<string:article_slug>", view_func=IndexView.as_view("index"))

	return app
