import os

class Config(object):
	TESTING = False
	DEBUG = True

class ProductionConfig(Config):
	pass

class DevelopmentConfig(Config):
	pass

class TestingConfig(Config):
	pass


def configure_app(app):
	env_configs = {"dev": DevelopmentConfig, "test": TestingConfig, "prod": ProductionConfig}
	env = os.environ.get("DEV_ENVIRONMENT", "dev")

	Config = env_configs.get(env, DevelopmentConfig)

	app.config.from_object(Config)
